/*
 * Copyright (C) 2002-2005 
 * Emmanuel Saracco <esaracco@users.labs.libre-entreprise.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef H_UC_CALLBACK
#define H_UC_CALLBACK

#include "general.h"

void on_quit_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_about_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_settings_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_bt_cancel_settings_dialog_clicked (GtkButton * button, gpointer user_data);

void on_bt_ok_settings_dialog_clicked (GtkButton * button,
				       gpointer user_data);

void on_new_project_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_bt_New_project_clicked (GtkButton * button, gpointer user_data);

void on_bt_apply_settings_dialog_clicked (GtkButton * button,
					  gpointer user_data);

void on_urls_list_cursor_changed (GtkTreeView * selection,
				  gpointer user_data);

gboolean
on_url_list_mouse_clicked (GtkWidget * widget, GdkEventButton * event,
			   gpointer data);

gboolean
on_project_list_mouse_clicked (GtkWidget * widget, GdkEventButton * event,
			       gpointer data);


void
on_bt_cancel_progress_dialog_clicked (GtkButton * button, gpointer user_data);

void on_progress_dialog_close (GtkDialog * dialog, gpointer user_data);

gboolean
on_progress_dialog_destroy_event (GtkWidget * widget,
				  GdkEvent * event, gpointer user_data);

gboolean
on_progress_dialog_delete_event (GtkWidget * widget,
				 GdkEvent * event, gpointer user_data);
gboolean
on_progress_dialog_delete_event (GtkWidget * widget,
				 GdkEvent * event, gpointer user_data);

void
on_bt_ignore_progress_dialog_clicked (GtkButton * button, gpointer user_data);

void on_display_badlinks_activate (GtkMenuItem * menuitem,
				   gpointer user_data);

void on_display_goodlinks_activate (GtkMenuItem * menuitem,
				    gpointer user_data);

void on_display_documents_activate (GtkMenuItem * menuitem,
				    gpointer user_data);

void on_display_images_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_display_timeouts_activate (GtkMenuItem * menuitem,
				   gpointer user_data);

void on_display_all_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_display_collapse_all_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_display_expand_all_activate (GtkMenuItem * menuitem,
				     gpointer user_data);
void on_view_link_content_activate (GtkMenuItem * menuitem,
				    gpointer user_data);
void on_bt_close_view_source_clicked (GtkButton * button, gpointer user_data);

gboolean
on_entry_project_url_key_press_event (GtkWidget * widget,
				      GdkEventKey * event,
				      gpointer user_data);
void on_new_instance_activate (GtkMenuItem * menuitem, gpointer user_data);
void on_progress_dialog_destroy (GtkObject * object, gpointer user_data);

void
on_bt_suspend_progress_dialog_clicked (GtkButton * button,
				       gpointer user_data);

void on_bt_close_similar_links_clicked (GtkButton * button,
					gpointer user_data);

void on_view_similar_link_locations_activate
  (GtkMenuItem * menuitem, gpointer user_data);

void on_view_online_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_page_properties_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_view_parent_page_online_activate (GtkMenuItem * menuitem,
				     gpointer user_data);

void
on_bt_close_page_information_clicked (GtkButton * button, gpointer user_data);

void on_bt_cancel_add_filter_directory_dialog_clicked
  (GtkButton * button, gpointer user_data);

void on_bt_ok_add_filter_directory_dialog_clicked
  (GtkButton * button, gpointer user_data);

void on_bt_cancel_add_filter_domain_dialog_clicked
  (GtkButton * button, gpointer user_data);

void
on_bt_ok_add_filter_domain_dialog_clicked (GtkButton * button,
					   gpointer user_data);

void
on_bt_add_filter_directory_clicked (GtkButton * button, gpointer user_data);

void on_bt_add_filter_domain_clicked (GtkButton * button, gpointer user_data);

gboolean on_entry_add_filter_directory_key_press_event
  (GtkWidget * widget, GdkEventKey * event, gpointer user_data);

gboolean on_entry_add_filter_domain_key_press_event
  (GtkWidget * widget, GdkEventKey * event, gpointer user_data);

void on_bt_add_add_filter_directory_dialog_clicked
  (GtkButton * button, gpointer user_data);

void on_bt_add_add_filter_domain_dialog_clicked
  (GtkButton * button, gpointer user_data);

void
on_bt_remove_filter_domain_clicked (GtkButton * button, gpointer user_data);

void
on_bt_remove_filter_directory_clicked (GtkButton * button,
				       gpointer user_data);


void
on_bt_clear_filter_directory_clicked (GtkButton * button, gpointer user_data);

void on_bt_clear_filter_domain_clicked (GtkButton * button,
					gpointer user_data);


void on_check_email_address_clicked (GtkButton * button, gpointer user_data);

void
on_menu_check_email_mx_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_image_preview_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_bt_close_image_preview_clicked (GtkButton * button,
					gpointer user_data);

void
  on_dynamic_values_time_between_value_changed
  (GtkSpinButton * spinbutton, gpointer user_data);

void
  on_dynamic_values_timeout_value_changed
  (GtkSpinButton * spinbutton, gpointer user_data);

void on_refresh_page_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_search_activate (GtkMenuItem * menuitem, gpointer user_data);


void on_new_search_button_clicked (GtkButton * button, gpointer user_data);

void on_new_search_cancel_clicked (GtkButton * button, gpointer user_data);

void on_search_close_clicked (GtkButton * button, gpointer user_data);

void on_clear_project_history_clicked (GtkButton * button,
				       gpointer user_data);

void on_clear_search_history_clicked (GtkButton * button, gpointer user_data);

void
on_new_search_check_button_toggled (GtkToggleButton * togglebutton,
				    gpointer user_data);
void
on_search_list_cursor_changed (GtkTreeView * selection, gpointer user_data);

gboolean
on_search_dialog_delete_event (GtkWidget * widget,
			       GdkEvent * event, gpointer user_data);

gboolean
on_combo_search_key_press_event (GtkWidget * widget,
				 GdkEventKey * event, gpointer user_data);

void on_web_site_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_local_file_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_bookmarks_file_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_bt_cancel_new_bookmarks_project_clicked (GtkButton * button,
					    gpointer user_data);

void
on_bt_ok_new_bookmarks_project_clicked (GtkButton * button,
					gpointer user_data);

gboolean
on_bookmarks_key_press_event (GtkWidget * widget,
			      GdkEventKey * event, gpointer user_data);

void on_delete_link_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_save_bookmarks_activate (GtkMenuItem * menuitem, gpointer user_data);
void on_open_project_activate (GtkMenuItem * menuitem, gpointer user_data);
void on_save_project_activate (GtkMenuItem * menuitem, gpointer user_data);
void on_project_properties_activate (GtkMenuItem * menuitem,
				     gpointer user_data);
void on_treeview_projects_cursor_changed (GtkTreeView * selection,
					  gpointer user_data);

void on_menu_refresh_all_activate (GtkMenuItem * menuitem,
				   gpointer user_data);

void on_menu_refresh_link_activate (GtkMenuItem * menuitem,
				    gpointer user_data);

void
on_menu_refresh_branch_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_bt_close_open_project_clicked (GtkButton * button,
				       gpointer user_data);

void on_bt_ok_open_project_clicked (GtkButton * button, gpointer user_data);

void on_bt_delete_open_project_clicked (GtkButton * button,
					gpointer user_data);

void
on_bt_cancel_new_web_project_clicked (GtkButton * button, gpointer user_data);

void on_bt_ok_new_web_project_clicked (GtkButton * button,
				       gpointer user_data);
void on_bt_ok_new_local_file_project_clicked (GtkButton * button,
					      gpointer user_data);

gboolean
on_main_window_delete_event (GtkWidget * widget,
			     GdkEvent * event, gpointer user_data);
gboolean
on_main_treeview_motion_notify_event (GtkWidget * widget,
				      GdkEventButton * event, gpointer data);

gboolean
on_main_treeview_enter_notify_event (GtkWidget * widget,
				     GdkEventCrossing * event,
				     gpointer user_data);
gboolean
on_main_treeview_leave_notify_event (GtkWidget * widget,
				     GdkEventCrossing * event,
				     gpointer user_data);
void
on_display_tooltips_toggled (GtkToggleButton * togglebutton,
			     gpointer user_data);

void on_delete_project_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_menu_refresh_parent_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_menu_refresh_main_page_activate (GtkMenuItem * menuitem,
				    gpointer user_data);

gboolean
on_open_project_dialog_delete_event (GtkWidget * widget,
				     GdkEvent * event, gpointer user_data);

void
on_display_malformedlinks_activate (GtkMenuItem * menuitem,
				    gpointer user_data);

void on_display_frames_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_display_emails_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_display_stylesheets_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_display_http_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_display_https_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_display_ftp_activate (GtkMenuItem * menuitem, gpointer user_data);
#endif
